Skip to content

Gets store

GET
/api/v2.0/stores/{storeId}
curl --request GET \
--url https://api.diller.app/api/v2.0/stores/your-store-id \
--header 'Authorization: Bearer <token>'
storeId
required
string

The id of the store

Example
your-store-id

OK

Media typeapplication/json
object
id
string
nullable
tax_number
string
nullable
external_id
string
nullable
store_name
string
nullable
phone
object
country_code
required
string
>= 1 characters
number
required
string
>= 1 characters
email
string
nullable
address
object
street
string
nullable
city
string
nullable
zip_code
string
nullable
state
string
nullable
country_code

The alpha-2 code of country

string
nullable
currency
string
nullable
time_zone
string
nullable
culture
string
nullable
stamps_enabled
boolean
friend_referral_enabled
boolean
points_system
object
enabled
boolean
friend_referral_points
integer format: int32
follower_signup_points
integer format: int32
currency_points_ratio
number format: float
member_identifier

DEPRECATED: Use ‘MemberIdentifiers’ instead as they support multiple identifiers

object
type

Defines an additional property by which a member can be searched. For example: plate Id, National Id, etc.

string
nullable
is_unique_per_country

Defines whether the member identifier value should be unique per country

boolean
member_identifiers
Array<object>
nullable
object
id
integer format: int32
type

Defines an additional property by which a member can be searched. For example: plate Id, National Id, etc.

string
nullable
is_unique_per_store

Indicates whether the identifier value must be unique within the store.

boolean
is_unique_per_member

Indicates whether a member can have more than one value per identifier type.

boolean
hide_for_members

Determines if this identifier type is hidden from members in the portal.

boolean
privacy_policy_url
string
nullable
Examplegenerated
{
"id": "example",
"tax_number": "example",
"external_id": "example",
"store_name": "example",
"phone": {
"country_code": "example",
"number": "example"
},
"email": "example",
"address": {
"street": "example",
"city": "example",
"zip_code": "example",
"state": "example",
"country_code": "example"
},
"currency": "example",
"time_zone": "example",
"culture": "example",
"stamps_enabled": true,
"friend_referral_enabled": true,
"points_system": {
"enabled": true,
"friend_referral_points": 1,
"follower_signup_points": 1,
"currency_points_ratio": 1
},
"member_identifier": {
"type": "example",
"is_unique_per_country": true
},
"member_identifiers": [
{
"id": 1,
"type": "example",
"is_unique_per_store": true,
"is_unique_per_member": true,
"hide_for_members": true
}
],
"privacy_policy_url": "example"
}

Bad Request

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
errors
object
key
additional properties
Array<string>
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}